Refresh company logo
curl --request POST \
--url https://api.morphic.io/api/companies/{company_id}/refresh-logo \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.morphic.io/api/companies/{company_id}/refresh-logo"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.morphic.io/api/companies/{company_id}/refresh-logo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": {},
"domains": "<string>",
"industry": "<string>",
"company_size": "<string>",
"employee_count": 1,
"annual_revenue": 1,
"phone": "<string>",
"email": "jsmith@example.com",
"website": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"postal_code": "<string>",
"linkedin_url": "<string>",
"facebook_url": "<string>",
"instagram_url": "<string>",
"twitter_url": "<string>",
"twitter_handle": "<string>",
"twitter_follower_count": 1,
"description": "<string>",
"notes": "<string>",
"logo_url": "<string>",
"connection_strength": "<string>",
"status": "<string>",
"categories": [
"<string>"
],
"team_ids": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"associated_deal_ids": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"metadata": {},
"enrichment": {},
"enrichment_provider": "<string>",
"enrichment_last_updated": "2023-11-07T05:31:56Z",
"enrichment_status": "<string>",
"is_favorite": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Companies
Refresh company logo
Refresh the company logo by fetching from external sources.
POST
/
api
/
companies
/
{company_id}
/
refresh-logo
Refresh company logo
Authorizations
API key (sk_xxx) from Developer Settings. No X-Account-ID needed.
Headers
Path Parameters
Response
Successful Response
Required string length:
1 - 255Backward compatibility - returns metadata as custom_fields.
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0weak, medium, or strong
lead, qualified, engaged, opportunity, customer, inactive
Team members with id and name
Show child attributes
Show child attributes
Associated deals with id and name
Show child attributes
Show child attributes
Whether this record is favorited by the current user